Skip to navigation

Update a validation rule

Beta
Updates given validation rule, and performs any registered hooks

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

oligo_conjugate_schema_idstringRequired
ID of the OligoConjugateSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
validationRuleIdstringRequired
archivebooleanOptional
archiveReasonstringOptional
definitionstringOptional
descriptionstringOptional
errorMessagestringOptional
namestringOptional

Response

OK
validationRuleIdstringOptional

Errors

400
Oligo Conjugate Schema Update Validation Rule Request Bad Request Error
403
Oligo Conjugate Schema Update Validation Rule Request Forbidden Error
404
Oligo Conjugate Schema Update Validation Rule Request Not Found Error
409
Oligo Conjugate Schema Update Validation Rule Request Conflict Error
429
Oligo Conjugate Schema Update Validation Rule Request Too Many Requests Error
500
Oligo Conjugate Schema Update Validation Rule Request Internal Server Error